function controllo_campi()
{
        var corretto=true;

 if (document.forms.formData.data1.value=="" ||
     document.forms.formData.data2.value=="" ||
     document.forms.formData.bacino.value=="")
  {
    if (document.forms.formData.bacino.value=="" )
        {
         alert("Selezionare il Bacino.");
         corretto=false;
        }
    if (document.forms.formData.data1.value=="")
    {
        alert("Inserire la data di inizio.");
        corretto=false;
    }
    if (document.forms.formData.data2.value=="")
    {
        alert("Inserire la data di fine.");
        corretto=false;
    }
 }
 if (corretto)
 {

   if (check_data()==false)
    {
        corretto=false;
    }
   else
    {
        if (DataMaxMin()==false)
         {
            alert("La data di inizio deve essere minore della data fine.");
         }
        else
         {
             if (Data62()==false)
              {
                alert("La differenza tra la data di inizio e quella di fine non può superare i 62 giorni.");
              }
             else
              {
               myRe = /http:\/\/[A-Za-z0-9.]+/;
               myArray = myRe.exec(document.location);

               document.forms.formData.action = "/doc/src/lib/prova_exe.py";

               document.forms.formData.submit();
              }
            }
    }
 }
}

function pulisci_campi(nomeForm)
{
   document.forms[nomeForm].reset();
   if (nomeForm == "formData")
     {
        document.formData.data1.value="";
        document.formData.data2.value="";
        var nomeimg="doc/images/bacini/vuoto.gif";
        document.images['territorio'].src = nomeimg;
        document.formData.bacino.value="vuoto";
     }
}

function visualizzaBacino(value,pathimg)
{

 //      if (document.forms.formData.azione.checked==true)
//       {
	country(value);
        var nomeimg=pathimg+"/"+value+".gif";
        document.images['territorio'].src = nomeimg;
          document.formData.bacino.value=value;
//       }
}

// Funzione "SELEZIONE BACINO"
function country(value)
{
  document.formData.bacino.value=value;
}

//FUNZIONE PER CONTROLLO FORMATO DATE
function check_data(value)
{

   var data_iniz=document.forms.formData.data1.value;
   var data_fine=document.forms.formData.data2.value;

   var D1=data_iniz.split('-');
        gg1=D1[0];
        mm1=D1[1];
        aa1=D1[2];

   var D2=data_fine.split('-');
        gg2=D2[0];
        mm2=D2[1];
        aa2=D2[2];

   var data=true;

   var ai=isNaN(aa1);
   var mi=isNaN(mm1);
   var gi=isNaN(gg1);

   if (ai==true ||
       mi==true ||
       gi==true )
     {
       alert('Campi data non validi');
       data=false;
     }

 else { //campi numerici

                if (gg1=="" ||
                    mm1=="" ||
                    aa1=="" )
                    {
                     alert("Data di inizio incompleta");
                     data=false;
                    }

                else {//giorno intero positivo tra 1 e 31

                          if (gg1<1 || gg1>31) {
                     alert("Il giorno della data di inizio non è corretto");
                     data=false;
                     }

                  // Giorni del MESE DI FEBBRAIO
                          if (mm1==2)
                         {
                           if (gg1==31) {
                                   alert("Il giorno della data di inizio non è corretto");
                                   data=false;
                                   }
                               else {
                                 if (gg1==30) {
                                         alert("Il giorno della data di inizio non è corretto");
                                         data=false;
                                         }
                                 else {
                                   if (gg1==29) {
                                       if ((aa1 % 4) != 0) {
                                          alert("Il giorno della data di inizio non è corretto");
                                          data=false;
                                          }
                                      }//endif29
                               }//endelse29
                                  }//endelse30
                          }//endif mese febbraio


                          // MESI CON 30 GIORNI
                           else {//aprile
                             if (mm1==4 && gg1==31) {
                                 alert("Il giorno della data di inizio non è corretto");
                                 data=false;
                                 }
                             else {//giugno
                               if (mm1==6 && gg1==31) {
                                   alert("Il giorno della data di inizio non è corretto");
                                   data=false;
                                   }
                               else {//settembre
                                 if (mm1==9 && gg1==31) {
                                         alert("Il giorno della data di inizio non è corretto");
                                 data=false;
                                 }
                                 else {//novembre
                                   if (mm1==11 && gg1==31) {
                                           alert("Il giorno della data di inizio non è corretto");
                                           data=false;
                                           }
                                   }//endelsenov
                                 }//endelsesett
                               }//endelsegiu
                             }//endelseapr

                          //  CORRETTEZZA mese
                          if (mm1<1 || mm1>12) {
                                  alert("Il mese della data di inizio non è corretto");
                                  data=false;
                                }
                          //  CORRETTEZZA anno
                          if (aa1 < 1999 || aa1>3000) {
                                  alert("L'anno della data di inizio non è corretto");
                                  data=false;
                                 }

                     }//endelse giorno positivo data inizio
// Controlli sulla seconda data.
                if (gg2=="" ||
                    mm2=="" ||
                    aa2=="" )
                    {
                     alert("Data di fine incompleta");
                     data=false;
                    }

                else {//giorno intero positivo tra 1 e 31

                          if (gg2<1 || gg2>31) {
                     alert("Il giorno della data di fine non è corretto");
                     data=false;
                     }

                  // Giorni del MESE DI FEBBRAIO
                          if (mm2==2)
                         {
                           if (gg2==31) {
                                   alert("Il giorno della data di fine non è corretto");
                                   data=false;
                                   }
                               else {
                                 if (gg2==30) {
                                         alert("Il giorno della data di fine non è corretto");
                                         data=false;
                                         }
                                 else {
                                   if (gg2==29) {
                                       if ((aa2 % 4) != 0) {
                                          alert("Il giorno della data di fine non è corretto");
                                          data=false;
                                          }
                                      }//endif29
                               }//endelse29
                                  }//endelse30
                          }//endif mese febbraio

                          // MESI CON 30 GIORNI
                           else {//aprile
                             if (mm2==4 && gg2==31) {
                                 alert("Il giorno della data di fine non è corretto");
                                 data=false;
                                 }
                             else {//giugno
                               if (mm2==6 && gg2==31) {
                                   alert("Il giorno della data di fine non è corretto");
                                   data=false;
                                   }
                               else {//settembre
                                 if (mm2==9 && gg2==31) {
                                         alert("Il giorno della data di fine non è corretto");
                                 data=false;
                                 }
                                 else {//novembre
                                   if (mm2==11 && gg2==31) {
                                           alert("Il giorno della data di fine non è corretto");
                                           data=false;
                                           }
                                   }//endelsenov
                                 }//endelsesett
                               }//endelsegiu
                             }//endelseapr

                          //  CORRETTEZZA mese
                          if (mm2<1 || mm2>12) {
                                  alert("Il mese della data di fine non è corretto");
                                  data=false;
                                }
                          //  CORRETTEZZA anno
                          if (aa2 < 1999 || aa2>3000) {
                                  alert("L'anno della data di fine non è corretto");
                                  data=false;
                                 }

                     }//endelse giorno positivo data fine

      }//endelse campi numerici

        if (data==true) {
                return true;
            }
    else {
          return false;
         }

}//fine funzione

function DataMaxMin(value)
{

   var data_iniz=document.forms.formData.data1.value;
   var data_fine=document.forms.formData.data2.value;

   var D1=data_iniz.split('-');
        gg1=D1[0];
        mm1=D1[1];
        aa1=D1[2];

   var D2=data_fine.split('-');
        gg2=D2[0];
        mm2=D2[1];
        aa2=D2[2];

   if (gg2.length==1) {
      gg2=(0+gg2)
   }

   if (gg1.length==1) {
      gg1=(0+gg1)
   }

   if (mm2.length==1) {
      mm2=(0+mm2)
   }

   if (mm1.length==1) {
      mm1=(0+mm1)
   }

   var data=true;
   if (aa2<aa1) {
//       alert("La data fine deve essere maggiore della data inizio");
       data=false;
       }
    else {
        if (aa2==aa1 && mm2<mm1) {
//            alert("La data fine deve essere maggiore della data inizio");
            data=false;
            }
        else {
            if (mm2==mm1 && gg2<gg1) {
//            alert("La data fine deve essere maggiore della data inizio");
            data=false;
            }
          }
        }

   return data;

}

function Data62(value)
{

   var data_iniz=document.forms.formData.data1.value;
   var data_fine=document.forms.formData.data2.value;

   var D1=data_iniz.split('-');
	gg1=D1[0];
	mm1=D1[1];
	aa1=D1[2];

   var D2=data_fine.split('-');
	gg2=D2[0];
	mm2=D2[1];
	aa2=D2[2];

   if (gg2.length==1) {
      gg2=(0+gg2)
   }

   if (gg1.length==1) {
      gg1=(0+gg1)
   }

   if (mm2.length==1) {
      mm2=(0+mm2)
   }

   if (mm1.length==1) {
      mm1=(0+mm1)
   }

   var data=true;

   var data_1=new Date(aa1,mm1,gg1);
   var data_2=new Date(aa2,mm2,gg2);

   var DayDiff=data_2-data_1;
   DayDiff=Math.round(DayDiff/1000/60/60/24)

    if (DayDiff > 62)
       {

//          alert("La differenza tra la data di inizio e quella di fine non può superare i 62 giorni");
          data=false;

       }

   return data;
}

function ControllaBacino(value)
{
   if (document.forms.formData.bacino.value=="" &&
       document.forms.formData.azione.value=="MI");
   {
       data=false;
   }
   return data;
}   